Skip to main content
Web Services

Create a new quote

Create a Quote.

POST
/web-services/qt/salesforce/createQuote

This method requires the WebServices permission to be associated with your role.

This API invokes the legacy createQuote web service. Note, this endpoint will be deprecated once a full service replacement has been developed.

Generates a lease quote.

A collection of parameters (listed below) are passed into the parameters. These are used to construct a lease quotation.

  • The Opportunity ID and Number are optional, and are stored on the quote
  • A code identifying an existing Catch-e client must be included
  • Alpha numeric unique driver identifier is required, and a new driver record will be created if a driver bearing the identifier doesn't already exist
  • Driver details can be updated when creating a new quote, see fields with the prefix 'driver_'
  • When creating a second quote, pass in the parent_quote_id to link the two quotes together
  • An optional contract type can be passed in to be used in place of the default
  • The list price may be overridden using the list_price_gross field, or the list_price_net and list_price_gst fields

If a problem occurs a Catch-e error code (listed below) will be returned with the results. If successfully created, the quote PDF can be extracted using the quote download web service.

The driver_surname field is required when creating a new driver record. To force the reading of this value or any other driver fields from the opportunity account, pass through the value 'encrypted'.

Audit History

Audit history is created when using this web service. The history is attributed to the user_id passed in the parameter 'user_id_client_manager'.

Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd

Body

application/vnd.catch-e-api.v1+json

JSON payload

aftermarket_requested_flagstring

Override the default Aftermarket inclusion flag, 'yes' or 'no'

Example: no
annual_kilometresintegerrequired

Non-zero positive number

Example: 100000
client_codestringrequired

Catch-e client_code, a short text string identifying the client

Example: ABC
colour_preferencestring

Set the colour preference

Example: Metallic Blue
cost_centrestring

Catch-e client cost centre, a short text string identifying the client cost centre

Example: VIC
create_new_driver_flagstring

Set this to 'yes' to create a new Driver. Requires driver_external_code if set to 'yes'.

Example: yes
date_first_heldstring
deal_typestring

Deal Type field in Salesforce

Example: Generic
divisionstring

Catch-e client division, a short text string identifying the client division

Example: Logistics
driver_address_1string

Postal / Home address line 1 e.g. Level 1, 30 Coora Road'

Example: Building 1
driver_address_2string

Postal / Home address line 2

Example: 1 Street Name
driver_annual_salarynumberrequired

Annual gross salary

Example: 70000
driver_areastring

Postal / Home area e.g. 'Oakleigh South'

Example: Suburb
driver_date_of_birthstring
driver_driver_licencestring

If Driver found or new Driver created, Driver's "Licence No" will be updated.

Example: DLIC123456789
driver_driver_licence_statestring

If Driver found or new Driver created, Driver's "Licence State" will be updated.

Example: VIC
driver_external_codestring

Unique reference used to identify this driver

Example: DRI123456789
driver_genderenum<string>
Available options: Male, Female, Other
driver_given_namestring

Given name

Example: Given
driver_home_emailstring

Home email

Example: email.address@employer.com.au
driver_idstring

An alternative to passing the driver_external_code. The driver_id passed in here will be updated with data submitted in this call. If URL contains ‘driver_id=100000’ then, If driver_id match is found, update Driver record (if any changes required). If URL contains ‘driver_id=0’ or not passed then, Do not create a new Driver Record. Simply add the driver_surname to [qt_quotes] driver_surname and driver_annual_salary to [qt_quotes] annual_salary. If URL contains ‘create_new_driver_flag=yes’ then, Create a new Driver.

Example: 100000
driver_mobilestring

If Driver found or new Driver created, Driver's "Mobile" will be updated.

Example: 0411 222 333
driver_phonestring

Home phone number for Driver

Example: 0411222333
driver_postcodestring

Postal / Home postcode

Example: 3000
driver_salutationenum<string>
Available options: Mr, Mrs, Ms, Miss, Mx, Dr, Prof, Rev, Capt
Example: Mr
driver_statestring

Postal / Home state

Example: VIC
driver_surnamestringrequired

Surname of the driver

Example: Surname
driver_work_phonestring

Work phone number

Example: 03 9999 8888
employer_fbt_typeenum<string>
Available options: concessional-30000-exempt, concessional-17000-exempt, rebatable, full-fbt-payable, not-applicable
fbt_benefit_typeenum<string>
Available options: statutory, operating, exempt
fbt_business_usenumber
fbt_valuenumber

Sets the FBT Value in the quote and turn on the lock_fbt_value_flag

Example: 50000
inclusionsobject[]
insurance_loading_type_driver_restrictionstring

One of no_drivers_less_than_26_yo, all_drivers, no_drivers_less_than_22_yo. Insert one of the 'loading_code' values stored in [qt_insurance_loading_types].

Example: no_drivers_less_than_26_yo
insurance_loading_type_licencestring

One of no_loss, loss_in_2_to_5_years, loss_in_0_to_2_years. Insert one of the 'loading_code' values stored in [qt_insurance_loading_types].

Example: no_loss
insurance_loading_type_past_claimsstring

One of no_claims_0_to_5_years, 1_claim_in_12_months, 1_claim_in_1_to_3_years, 2+_claims_0_to_3_years, 3+_claims_in_0_to_5_years. Insert one of the 'loading_code' values stored in [qt_insurance_loading_types].

Example: no_claims_0_to_5_years
insurer_location_postcodestring

Use this if your insurance set-up is configured by postcode, otherwise location_name should be used. The postcode must be valid for the supplied state_registered. If not passed in the respective postcode from Global Controls 'postcode_by_state_default' will be used to determine the Insurance price.

Example: 3000
list_price_grossnumber

Numeric dollar value, takes precedent over list_price_net i.e. if this is set then list_price_net is ignored

Example: 50000
list_price_gstnumber

Numeric dollar value

Example: 4545.45
list_price_netnumber

Numeric dollar value

Example: 45454.54
location_namestring

Set the Insurance location you want applied. This will display on the Quotes → Contract tab.

Example: Location Name
luxury_car_tax_paid_flagenum<string>
Available options: yes, no
new_usedstring

Indicates whether the vehicle is new or used, defaults to 'new'

Example: new
odometerinteger

If 'new_used' is set to 'used' or 'demonstrator' this value must bet set to a non-zero integer

Example: 10
opportunity_idstring

Salesforce opportunity id

Example: 0123A45678910bcdEFG
opportunity_numberinteger

Salesforce opportunity

Example: 888888
parent_quote_idstring

Quote ID to use as the parent of the new quote

Example: 100000
pay_cycle_codestring

Allows you to set the Pay Cycle for this quote. The list of available codes is stored in [gb_pay_cycles]pay_cycle_code. If not passed the Client Pay Cycle will be used.

Example: fortnightly
plate_yearinteger

Vehicle plate year (1900-2099)

Example: 2021
posting_map_codestring

Contract type code

Example: NOFB
previous_fbt_valuenumber

It's optional and can only be a positive number.

Example: 60000
previous_lease_startstring

User can give a previous lease start date

Example: 2021-01-01
procurement_flagstring

Sets the quote vehicle procurement flag

Example: no
product_carbon_emissions_offset_flagstring

Override the default Carbon Emissions profile flag, 'yes' or 'no'

Example: no
product_comprehensive_insurance_flagstring

Override the default Comprehensive Insurance profile flag, 'yes' or 'no'

Example: no
product_extended_warranty_flagstring

Override the default Extended Warranty profile flag, 'yes' or 'no'

Example: no
product_lti_flagstring

Either yes or no are the only acceptable values to be passed,if the fag is set to yes, If ‘product_lti_flag’ = yes is passed, and only one active “Plan” / “Top Up Benefit” is found, the Quote created should pre-populate the “Plan” and “Top Up Benefit” and include the “Premium” in its calculations.

Example: yes
product_lti_plan_codestring

If the ‘product_lti_plan_code’ passed has only one active “Top Up Benefit”, the Quote created should pre-populate the “Plan” and “Top Up Benefit” and include the “Premium” in its calculations.

Example: LTIPLANCODE
product_lti_top_up_benefit_namestring

If more than one active “Top Up Benefit” exists for the “Plan” passed, then a ‘product_lti_top_up_benefit_name’ should be passed as well. The Quote created should pre-populate the “Plan” and “Top Up Benefit” and include the “Premium” in its calculations.

Example: TOPUPBENEFIT1
product_nlpi_flagstring

Override the default NLPI inclusion flag, 'yes' or 'no'

Example: no
product_roadside_assistance_flagstring

Override the default Roadside Asistance inclusion flag, 'yes' or 'no'

Example: no
product_rveh_amount_netnumber

Add the Relief Vehicle monthly cost to the Profile (Quotes / Lease -> 'Monthly Budget')

Example: 0
product_rveh_flagstring

Override the default Relief Vehicle inclusion flag, 'yes' or 'no'

Example: no
product_small_damage_repairs_flagstring

Override the default Small Damage Repairs profile flag, 'yes' or 'no'. If the quote term does not match one of the SDR profile records, SDR will be checked on but the premium will not calculate.

Example: no
product_tyre_and_rim_flagstring

Override the default Tyre and Rim inclusion flag, 'yes' or 'no'

Example: no
product_vehicle_maintenance_program_flagstring

Override the default Vehicle Maintenanace profile flag, 'yes' or 'no'

Example: no
product_walkaway_flagstring

Override the default Walkaway inclusion flag, 'yes' or 'no'

Example: no
purchase_stamp_dutynumber

Sets the Purchase Stamp Duty in the quote and turn on the lock_purchase_stamp_duty_flag

Example: 2000
state_registeredstringrequired

State codes, VIC, NSW, ACT, NT, TAS, WA, SA, QLD, NZ. When [gb_controls]country_code is 'AUS' then it must be either 'NSW', 'VIC', 'QLD', 'ACT', 'TAS', 'SA', 'WA', or 'NT'. When [gb_controls]country_code is 'NZ' then it must be 'NZ'.

Example: VIC
status_flagstring

Must be one of [qt_quote_statuses]description values. Default value is 'requested' if not included.

Example: draft
supplier_code_financierstring

Set an alternative Financier. This will override the Financier default set on the Quote Defaults and must map to a Supplier with a 'Supplier Type' set to "Financier" on the Suppliers / Account tab.

Example: FIN
termintegerrequired

Quote term. (1 - 60)

Example: 48
user_id_assignedstring

Set the Quote 'Assigned' user. Must be an active Catch-e user_id i.e. not at 'deleted' status

Example: 10002
user_id_client_managerstringrequired

Active Catch-e user_id i.e. not at 'deleted' status

Example: 10001
variant_idstringrequired

Catch-e variant identifier

Example: 100000

Response

application/vnd.catch-e-api.v1+json

Success

quote_idstringrequired

Quote ID

Example: 123456